Plot HomeDocumentation
Posts

List Posts

Retrieves a paginated list of posts for a specific entity. Excludes replies (only returns top-level posts).

GET
/v1/posts/list

Retrieves a paginated list of posts for a specific entity. Excludes replies (only returns top-level posts).

Query Parameters

entityType*string

Entity type to filter posts by (required)

Value in"task" | "project" | "document" | "team" | "collection"
entityId*string

Entity ID to filter posts by (required)

Formatuuid
includeTotal?string

Include total count in response. Consider omitting for subsequent page loads to improve performance.

Value in"true" | "false"
expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (images,reactions,owner)

Default"all"
cursor?string

Cursor for pagination

offset?|

Offset for pagination

Range0 <= value
limit?integer

Number of results to return (max 100)

Default50
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://example.com/v1/posts/list?entityType=task&entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": [    {      "id": "string",      "publicId": "string",      "content": "string",      "action": "string",      "actionValue": "string",      "entityId": "string",      "entityType": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "ownerId": "string",      "parentId": "string",      "isResolved": true,      "entityTitle": "string",      "entityUrl": "string",      "postUrl": "string",      "images": [        {          "id": "string",          "key": "string",          "width": 0,          "height": 0,          "aspectRatio": 0,          "url": "string",          "postId": "string"        }      ],      "reactions": [        {          "id": "string",          "postId": "string",          "userId": "string",          "reaction": "string"        }      ],      "owner": {        "id": "string",        "name": "string",        "email": "string"      }    }  ],  "nextCursor": "string",  "hasMore": true,  "total": 0}